Files
cloudron-box/admin/cloudronLogin
T
Girish Ramakrishnan a4d0394d1a Revert "Move ssh to port 919"
This reverts commit 4e4890810f3a22e7ec990cc44381a2c243044d99.

This change is not done yet
2015-09-10 11:40:27 -07:00

18 lines
370 B
Bash
Executable File

#!/bin/bash
set -eu -o pipefail
readonly ssh_keys="${HOME}/.ssh/id_rsa_yellowtent"
if [[ "$#" != "1" ]]; then
echo "Missing cloudron IP argument";
exit 1;
fi
if [[ ! -f "${ssh_keys}" ]]; then
echo "yellowtent ssh key is missing"
exit 1
fi
ssh root@$1 -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -o ConnectTimeout=10 -i "${ssh_keys}"